<template>
    <el-avatar
        :size="size"
        :src="imgSrc"
        class="pam-avatar cursor--pointer"
    ></el-avatar>
</template>

<script lang="ts">
import { Vue, Component, Prop } from 'nuxt-property-decorator';

@Component
export default class UiAvatar extends Vue {
    @Prop() size!: number;
    @Prop() fileName!: string;

    get imgSrc() {
        return process.env.BASE_URL + '/consultant/avatar/' + this.fileName;
    }
}
</script>